package com.bytesw.bytebot.model;

import lombok.*;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Getter
@Setter
@ToString
@Table(name = "avb_bcd_control")
@NamedQuery(name = "BcdControl.findByPK", query = "Select u from BcdControl u where u.id = ?1")
public class BcdControl  implements Serializable {

    @Id
    @Column(name = "bcd_id")
    @SequenceGenerator(name = "AVB_BCD_CONTROL_GENERATOR", sequenceName = "AVB_BCD_CONTROL_SEQ", initialValue = 1, allocationSize = 1)
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "AVB_BCD_CONTROL_GENERATOR")
    private Long id;

    @Column(name = "agen_id")
    private Long agentId;

    @Column(name = "bcd_status")
    private String status;

}
