package com.bytesw.bytebot.service;

import com.bytesw.bytebot.bean.BcdControlBean;
import com.bytesw.bytebot.model.BcdControl;
import com.bytesw.bytebot.repository.BcdControlRepository;
import com.bytesw.xdf.service.XDFService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.BeanUtils;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
@Log4j2
public class BcdControlService extends XDFService<BcdControl, BcdControlBean, Long> {
    protected BcdControlService(BcdControlRepository repository) {
        super(repository);
    }

    @Override
    protected BcdControl toModel(BcdControl model, BcdControlBean bean) {
        if (model == null) {
            model = new BcdControl();
        }
        BeanUtils.copyProperties(bean, model);
        return model;
    }

    @Override
    protected BcdControlBean toBean(BcdControl model) {
        BcdControlBean bean = new BcdControlBean();
        BeanUtils.copyProperties(model, bean);
        return bean;
    }

}
